Bug 17750 - Incompatibility between enscript-1.6.1-9 and lpr-0.50-4
Incompatibility between enscript-1.6.1-9 and lpr-0.50-4
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: enscript (Show other bugs)
6.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Crutcher Dunnavant
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-09-20 13:52 EDT by marques@cs.cornell.edu
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-09 11:47:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the modified version of enscript's main.c using the optional -m argument (60.09 KB, text/plain)
2000-09-20 13:55 EDT, marques@cs.cornell.edu
no flags Details

  None (edit)
Description marques@cs.cornell.edu 2000-09-20 13:52:17 EDT
There is an incompatibility between the packages enscript-1.6.1-9 and 
lpr-0.50-4 that ship with RedHat 6.2 regarding enscript's "-m" (send status
by mail) option.

This version of lpr expects its "-m" option to take an argument (the
address to mail the status report to). It does not work with an
argument-less "-m", unlike other lpr's (e.g. the Solaris lpr), that assume
mail should be sent to the user submitting the job.

Enscript expects lpr to accept an argument-less "-m", so if the enscript
user specifies that option, enscript just appends "-m" to the print
spooler's options.  This causes lpr to return an error: "lpr: missing
argument for 'm'".

I am not certain what the proper fix should be: should the enscript
interface be kept the same, allowing only the argument-less version (and
sending lpr the username of the person running the program); should
enscript users be forced to specify the recipient, keeping the interface
consistent with lpr; or should the argument be optional, 
sending to the person specified or the username if the argument was left
blank.  

In any case, it is a very easy fix involving only 5 lines of code.  (I will
send you my version, if you are interested.  It uses an optional argument.)

Hope this was descriptive enough.

Dan
Comment 1 marques@cs.cornell.edu 2000-09-20 13:55:24 EDT
Created attachment 3480 [details]
This is the modified version of enscript's main.c using the optional -m argument
Comment 2 Crutcher Dunnavant 2001-06-26 01:05:24 EDT
ok

Note You need to log in before you can comment on or make changes to this bug.